Post by it-me-up » Mon Jul 10, 2017 5:06 pm

Hi,

I am following this:
http://docs.opencart.com/upgrading/

But OC just will not update.
I get all sorts of errors and end up restoring back to my backup.

I am backing up the database
Renaming my admin folder back to admin (changed for security)
Removing the Config Files from the download
Uploading all the contents for the upload folder to my site

From there I cannot upgrade.

Am I missing a point?

Newbie

Posts

Joined
Tue Feb 21, 2017 4:51 pm

Post by jpedroza2k » Wed Jul 12, 2017 1:47 am

I am also looking for these instructions. The instructions mentioned by OP are not clearly for going from 2.3.x to 3.x.

New member

Posts

Joined
Wed Jul 12, 2017 1:45 am

Post by zorlus » Tue Jul 25, 2017 4:30 pm

After upgrading from 2.3.0.2 to v 3.0.1.2, I was hammered with 500 errors. so I rolled back. All I did was upload everything with filezilla, except the config files.

Has anyone actually managed to upgrade with no problems? if so can someone please give some instructions?

Newbie

Posts

Joined
Tue Jan 06, 2015 4:18 am

Post by Sucorra » Fri Jul 28, 2017 11:21 am

I am having the same issue - upgrading from 2.3.0.2 - I did exactly as the update info states - and I have every error known to OC. I rolled back and tried it again and the same thing -

Notice: Use of undefined constant DIR_STORAGE - assumed 'DIR_STORAGE' in /system/startup.php on line 70

Fatal error: Uncaught Exception: Error: Table 'xxxxxx.rw_session' doesn't exist<br />Error No: 1146<br />SELECT `data` FROM `rw_session` WHERE session_id = '6c7418f55163dc9f3078ce7351' AND expire > 1501211324 in //system/library/db/mysqli.php:40 Stack trace: #0 /system/library/db.php(45): DB\MySQLi->query('SELECT `data` F...') #1 /system/library/session/db.php(21): DB->query('SELECT `data` F...') #2 /system/library/session.php(72): Session\DB->read('6c7418f55163dc9...') #3 /system/framework.php(106): Session->start('6c7418f55163dc9...') #4 /system/startup.php(104): require_once('/homepages/33/d...') #5 /index.php(19): start('catalog') #6 {main} thrown in /system/library/db/mysqli.php on line 40

Fatal error: Uncaught Exception: Error: Table 'xxxxxx.xx_session' doesn't exist<br />Error No: 1146<br />REPLACE INTO `rw_session` SET session_id = '6c7418f55163dc9f3078ce7351', `data` = '[]', expire = '2017-07-28 04:08:44' in /system/library/db/mysqli.php:40 Stack trace: #0 /system/library/db.php(45): DB\MySQLi->query('REPLACE INTO `r...') #1 /system/library/session/db.php(32): DB->query('REPLACE INTO `r...') #2 /system/library/session.php(81): Session\DB->write('6c7418f55163dc9...', Array) #3 [internal function]: Session->close() #4 {main} thrown in /system/library/db/mysqli.php on line 40

Newbie

Posts

Joined
Fri Aug 26, 2016 6:44 am

Post by IP_CAM » Sat Jul 29, 2017 2:02 am

Well, there is no valid Upgrade Info on docs.opencart.com, as one can easy see,
if one cares to look at the Images, shown on that page. It's all about 1.x to 1.x, exept for
the first image, showing the latest OC-Version Numbers. All other images, down to the final
confirmation page clearly shows v.1.5.x related images again. But that person, who added
that latest Version Image, is probably just unaware of the long known Fact, that it's not
gonna work this way after Versions1.5 to1.5. It already has been mentioned multiple times
as well, without ever beeing noted by someone in charge, as it unfortunately looks.

But since latest V-3 will no longer be able to use Extensions and Themes, even out of earlier
V-3 Versions, an upgrade attempt is therefore not even a valid Option anymore. ONLY SOME
DB-Content is of Value, and this DB-Data will be required, to meet/match V-3 Variables and
DB-Tables, to make a CLEAN V-3 Install work again, after such Data has been re-imported
into the new V-3 DB correctly. THEREFORE, in most any Case, a commercial DB Upgrade
is highly recommended, if one likes to have done this in a professional way.

This because, probably not a single OC just works in real, as it comes by default, most use
different Themes, some Extensions, or even OC-'Rebuilts' like Journal / Pavo, e.t.c., I bet!
Therefore, it's just a weird Idea, that such modified Software could be upgraded anyway,
by a default-OC-only upgrade Routine. And more than just fully unPro, to play around on
a working Money-Generator, in the first place... :P

It's more like to 'overwrite' a running Windows-7 Installation with Windows-10 Code, and then,
expect even Dreamweaver or Whatever to still function, besides of the Win10 itself. :laugh:

Accept it or not, it's nobody else's Problem. And since the latest OC Release only exists for
a few days, not many people will know, and so able to assist, if someone runs into problems.
And the DEV's are really busy, to get familiar, in order to get at least some of their extensions
to work again with latest v.3.x, they are therefore not waiting around here, to assist others,
even for free, for the time beeing at least.

Just to reply on this, because no-one else eventually would. But I am fully aware, that it's of no
use either, trying to tell anyone, they don't listen anyway. And others already screwed up, when
coming here, so, what the heck, since OC comes for free, and without an obligation to anyone.
It's our free Decision, to play, or just stay away ... ;)

So, don't take it personal, it's not meant this way, from neither side, I guess !
Ernie

I am no longer active at the Forum. Please do NOT send me Personal Mails,
they will no longer be replied to.
My Github OC Site: https://github.com/IP-CAM
2'880 FREE OC Extensions, on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 17 guests